zenilib: Zeni::String::iterator Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Types | Public Member Functions | Friends | List of all members
Zeni::String::iterator Class Reference

`#include <String.h>`

## Public Types

typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef value_type * | pointer
typedef value_type & | reference
typedef char | value_type

## Public Member Functions

| iterator ()
| iterator (const iterator &rhs)
| ~iterator ()
bool | operator!= (const iterator &rhs) const
value_type | operator* () const
value_type & | operator* ()
iterator | operator+ (const difference_type &n) const
iterator | operator++ ()
iterator | operator++ (int)
iterator | operator+= (const difference_type &n)
iterator | operator- (const difference_type &n) const
difference_type | operator- (const iterator &rhs) const
iterator | operator-- ()
iterator | operator-- (int)
iterator | operator-= (const difference_type &n)
value_type | operator-> () const
value_type & | operator-> ()
bool | operator< (const iterator &rhs) const
bool | operator<= (const iterator &rhs) const
iterator & | operator= (const iterator &rhs)
bool | operator== (const iterator &rhs) const
bool | operator> (const iterator &rhs) const
bool | operator>= (const iterator &rhs) const
value_type | operator[] (const difference_type &n) const
value_type & | operator[] (const difference_type &n)

## Friends

class | String

## Detailed Description

Definition at line 39 of file String.h.

## Member Typedef Documentation

typedef ptrdiff_t Zeni::String::iterator::difference_type

Definition at line 43 of file String.h.

typedef std::random_access_iterator_tag Zeni::String::iterator::iterator_category

Definition at line 44 of file String.h.

typedef value_type* Zeni::String::iterator::pointer

Definition at line 46 of file String.h.

typedef value_type& Zeni::String::iterator::reference

Definition at line 47 of file String.h.

typedef char Zeni::String::iterator::value_type

Definition at line 45 of file String.h.

## Constructor & Destructor Documentation

Zeni::String::iterator::iterator | ( |  | ) |

Definition at line 31 of file String.cpp.

Zeni::String::iterator::~iterator | ( |  | ) |

Definition at line 32 of file String.cpp.

Zeni::String::iterator::iterator | ( | const iterator & | rhs | ) |

Definition at line 34 of file String.cpp.

## Member Function Documentation

bool Zeni::String::iterator::operator!= | ( | const iterator & | rhs | ) | const

Definition at line 41 of file String.cpp.

References const.

String::iterator::value_type Zeni::String::iterator::operator* | ( |  | ) | const

Definition at line 43 of file String.cpp.

References const.

String::iterator::value_type & Zeni::String::iterator::operator* | ( |  | ) |

Definition at line 44 of file String.cpp.

References const.

String::iterator Zeni::String::iterator::operator+ | ( | const difference_type & | n | ) | const

Definition at line 65 of file String.cpp.

References const.

String::iterator Zeni::String::iterator::operator++ | ( |  | ) |

Definition at line 48 of file String.cpp.

String::iterator Zeni::String::iterator::operator++ | ( | int |  | ) |

Definition at line 56 of file String.cpp.

String::iterator Zeni::String::iterator::operator+= | ( | const difference_type & | n | ) |

Definition at line 74 of file String.cpp.

String::iterator Zeni::String::iterator::operator- | ( | const difference_type & | n | ) | const

Definition at line 66 of file String.cpp.

References const.

String::iterator::difference_type Zeni::String::iterator::operator- | ( | const iterator & | rhs | ) | const

Definition at line 67 of file String.cpp.

References const.

String::iterator Zeni::String::iterator::operator-- | ( |  | ) |

Definition at line 52 of file String.cpp.

String::iterator Zeni::String::iterator::operator-- | ( | int |  | ) |

Definition at line 60 of file String.cpp.

String::iterator Zeni::String::iterator::operator-= | ( | const difference_type & | n | ) |

Definition at line 78 of file String.cpp.

String::iterator::value_type Zeni::String::iterator::operator-> | ( |  | ) | const

Definition at line 45 of file String.cpp.

References const.

String::iterator::value_type & Zeni::String::iterator::operator-> | ( |  | ) |

Definition at line 46 of file String.cpp.

References const.

bool Zeni::String::iterator::operator< | ( | const iterator & | rhs | ) | const

Definition at line 69 of file String.cpp.

References const.

bool Zeni::String::iterator::operator<= | ( | const iterator & | rhs | ) | const

Definition at line 71 of file String.cpp.

References const.

String::iterator & Zeni::String::iterator::operator= | ( | const iterator & | rhs | ) |

Definition at line 35 of file String.cpp.

bool Zeni::String::iterator::operator== | ( | const iterator & | rhs | ) | const

Definition at line 40 of file String.cpp.

References const.

bool Zeni::String::iterator::operator> | ( | const iterator & | rhs | ) | const

Definition at line 70 of file String.cpp.

References const.

bool Zeni::String::iterator::operator>= | ( | const iterator & | rhs | ) | const

Definition at line 72 of file String.cpp.

References const.

String::iterator::value_type Zeni::String::iterator::operator[] | ( | const difference_type & | n | ) | const

Definition at line 83 of file String.cpp.

References const.

String::iterator::value_type & Zeni::String::iterator::operator[] | ( | const difference_type & | n | ) |

Definition at line 84 of file String.cpp.

## Friends And Related Function Documentation

friend class String

friend

Definition at line 40 of file String.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni/Zeni/String.h
- zenilib/jni/external/zenilib/zeni/String.cpp